Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DirectGrid Class Reference

Inherits pandac::PandaModules::NodePath, and direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | computeSnapAngle
def | computeSnapPoint
def | disable
def | enable
def | getGridSize
def | getGridSpacing
def | getHprSnap
def | getSnapAngle
def | getXyzSnap
def | isEnabled
def | setGridSize
def | setGridSpacing
def | setHprSnap
def | setSnapAngle
def | setXyzSnap
def | toggleGrid
def | updateGrid
## Public Attributes
| centerLines
| fEnabled
| fHprSnap
| fXyzSnap
| gridBack
| gridSize
| gridSpacing
| lines
| majorLines
| minorLines
| snapAngle
| snapMarker
| snapPos

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | gridSize = `100.0`,
|  |  | gridSpacing = `5.0`,
|  |  | planeColor = `(0.5,0.5`,
|  |  | parent = `None`
| ) |  |

## Member Function Documentation

def computeSnapAngle | ( |  | self,
|  |  | angle
| ) |  |

def computeSnapPoint | ( |  | self,
|  |  | point
| ) |  |

def disable | ( |  | self | ) |

def enable | ( |  | self,
|  |  | parent = `None`
| ) |  |

def getGridSize | ( |  | self | ) |

def getGridSpacing | ( |  | self | ) |

def getHprSnap | ( |  | self | ) |

def getSnapAngle | ( |  | self | ) |

def getXyzSnap | ( |  | self | ) |

def isEnabled | ( |  | self | ) |

def setGridSize | ( |  | self,
|  |  | size
| ) |  |

def setGridSpacing | ( |  | self,
|  |  | spacing
| ) |  |

def setHprSnap | ( |  | self,
|  |  | fSnap
| ) |  |

def setSnapAngle | ( |  | self,
|  |  | angle
| ) |  |

def setXyzSnap | ( |  | self,
|  |  | fSnap
| ) |  |

def toggleGrid | ( |  | self,
|  |  | parent = `None`
| ) |  |

def updateGrid | ( |  | self | ) |

## Member Data Documentation

centerLines

fEnabled

fHprSnap

fXyzSnap

gridBack

gridSize

gridSpacing

lines

majorLines

minorLines

snapAngle

snapMarker

snapPos

All Classes Namespaces Functions Variables Enumerations Enumerator Properties